<?php
/**
 * The plugin bootstrap file
 *
 * @since             1.0.0
 * @package           ultimate-pregnancy-ovulation-calculator
 *
 * @wordpress-plugin
 * Plugin Name:       WP Pregnancy & Ovulation Calculator
 * Description:       The most complete pregnancy and ovulation calculator for WordPress. Track due dates, pregnancy milestones, and fertility windows with five calculation methods.
 * Version:           1.2.0
 * Requires at least: 4.7
 * Requires PHP:      5.6
 * Author:            Belov Digital Agency
 * Author URI:        https://belovdigital.agency
 * License:           GPL-3.0+
 * License URI:       https://www.gnu.org/licenses/gpl-3.0.html
 * Text Domain:       ultimate-pregnancy-ovulation-calculator
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Plugin constants
 */
define( 'ULPC_VERSION', '1.2.0' );
define( 'ULPC_PLUGIN_FILE', plugin_basename( __FILE__ ) );
define( 'ULPC_PLUGIN_URL', plugin_dir_url( __FILE__ ) );
define( 'ULPC_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );
define( 'ULPC_PLUGIN_NAME', 'ultimate-pregnancy-ovulation-calculator' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-ulpc.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function ulpc_run() {

	$plugin = new ULPC();
	$plugin->run();

}
ulpc_run();
